<?

header("Cache-Control: no-cache");
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("inc.php");

$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link); 
require("version.php");

$engDay = date("l"); ## Получить название дня недели
$engMes = date("F"); ## Получить название месяца
$engHour = date("a"); ## Узнать вечер или день

## Определить название дня недели по-русски
switch($engDay){
case "Monday": $rusDay = "Понедельник"; break;
case "Вторник": $rusDay = "Вторник"; break;
case "Wednesday": $rusDay = "Среда"; break;
case "Thursday": $rusDay = "Четверг"; break;
case "Friday": $rusDay = "Пятница"; break;
case "Saturday": $rusDay = "Суббота";break;
default: $rusDay = "Воскресенье";
}

## Определить название месяца по русски
switch($engMes){
case "January": $rusMes = "Январь"; break;
case "February": $rusMes = "Февраль"; break;
case "March": $rusMes = "Март‚"; break;
case "April": $rusMes = "Апрель"; break;
case "May": $rusMes = "Май"; break;
case "June": $rusMes = "Июнь"; break;
case "July": $rusMes = "Июль"; break;
case "August": $rusMes = "Август"; break;
case "September": $rusMes = "Сентябрь"; break;
case "October": $rusMes = "Октябрь"; break;
case "November": $rusMes = "Ноябрь";break;
default: $rusMes = "Декабрь";
}

## Узнать вечеп или день по-русски
switch($engHour){
case "am": $rusHour = "Утро или день"; break;
case "pm":$rusHour = "Вечер или ночь"; break;
}

$rusMesDay = date("t"); ## узнать число дней в месяце
$rusYear = date("Y"); ## узнать какой год
$rusNday = date("d"); ## узнать число дня
$rusNmes = date("mS"); ## узнать номер месяца
$rusHours = date("H"); ## узнать который час
$rusMin = date("i"); ## узнать сколько минут
$rusSec = date("s"); ## узнать сколько секунд
$rusSecVek = date("U"); ## узнать кол-во секунд прошедшее сначала эпохи
$rusYearDay = date("z"); ## узнать день года
$rusKon = 365 - $rusYearDay; ## Дней до конца года

if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n";
echo "<head><meta http-equiv=\"Cache-Control\" content=\"no-cache\" forua=\"true\"/></head>\n";
echo "<card id=\"index\" title=\"Дата и время\">\n";
echo "<p align=\"left\">";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Дата и время</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"left\">";
}
echo $fsize1;
echo "День: <b>".$rusDay.", ".$rusNday." </b><br/>";
echo "Месяц: <b>".$rusMes.", ".$rusNmes."</b><br/>";
echo "Год: <b>".$rusYear."</b><br/>";
echo "Время суток: <b>".$rusHour."</b><br/>";
echo "Часы: <b>".$rusHours."</b><br/>";
echo "Минуты: <b>".$rusMin."</b><br/>";
echo "Секунды: <b>".$rusSec."</b><br/>";
echo "Число дней в месяце: <b>".$rusMesDay."</b><br/>";
echo "Кол-во сек. прощедшее с начала эпохи: <b>".$rusSecVek." </b><br/>";
echo "День года: <b>".$rusYearDay." </b><br/>";
echo "До конца года: <b>".$rusKon." день(дней)</b><br/>";
echo $divide;
echo "<a href=\"cabinet.php?$ses&amp;ref=$ref\">Личный кабинет</a><br/>\n";
echo "<a href=\"enter.php?$ses&amp;ref=$ref\">Прихожая</a>\n";
echo $fsize2;
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>"; 
mysql_close($link);
?>